Bug 1531483 - Switch libcurl to use libssh instead of libssh2
Summary: Switch libcurl to use libssh instead of libssh2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-05 09:51 UTC by Jan Kurik
Modified: 2018-05-02 12:04 UTC (History)
1 user (show)

Fixed In Version: curl-7.58.0-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:04:50 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-05 09:51:37 UTC
This is a tracking bug for Change: Switch libcurl to use libssh instead of libssh2
For more details, see: https://fedoraproject.org//wiki/Changes/libssh-in-libcurl

libcurl currently uses libssh2 to implement the SSH layer of SCP and SFTP protocols.  After implementing this change, libcurl will use the libssh library instead.

Comment 1 Kamil Dudka 2018-01-05 13:56:29 UTC
The curl-7.58.0 release, which will include the code needed to implement this change, is planned to happen on January 24, 2018:

https://curl.haxx.se/mail/lib-2017-12/0076.html

Comment 2 Kamil Dudka 2018-01-24 17:42:05 UTC
I have pushed the following commit to rpms/curl:

https://src.fedoraproject.org/cgit/rpms/curl.git/commit/?id=cbbefe6f

Comment 3 Fedora End Of Life 2018-02-20 15:32:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Jan Kurik 2018-03-06 08:58:07 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Kamil Dudka 2018-03-06 09:08:59 UTC
Switching to ON_QA.  Thanks for the reminder!


Note You need to log in before you can comment on or make changes to this bug.